    <!-- Main section -->
    <main>
    {{- $comic_id := .Page.File.ContentBaseName -}}
    <h1>
    {{- with .Title -}}
    {{ . }}
    {{- else -}}
    {{ warnf (printf "No title for comic #%s [%s]" $comic_id .Site.Language.Lang) }}
    {{ T "untitled_comic" -}} ({{$comic_id}})
    {{- end -}}
    </h1>
    {{- /* Get image alternative text */ -}}
    {{- $alt := (T "untranscribed_comic") -}}
    {{- if isset .Params "alt_text" -}}
    {{- $alt = .Params.alt_text -}}
    {{- else }}
    {{ warnf (printf "No alt text for comic #%s [%s]" $comic_id .Site.Language.Lang) }}
    {{- end }}
    {{- $comic_version := 1 -}}
    {{- if isset .Params "comic_version" -}}
    {{- $comic_version = .Params.comic_version -}}
    {{- else }}
    {{ warnf (printf "No version for comic #%s [%s]" $comic_id .Site.Language.Lang) }}
    {{- end }}

    {{- $src := delimit (slice "/comics/NE_" .Site.Language.Lang "_" $comic_id ".png") "" -}}
    {{- $comic := resources.Get $src -}}

    {{- with $comic -}}
    {{- /* Resize comic */ -}}
    {{- $comic_small := .Resize "1200x" -}}
    <!-- Link to large comic -->
    <a href="{{- .RelPermalink -}}">
    <!-- Comic -->
    <img id="comic_main" class="comic" src="{{- $comic_small.RelPermalink -}}" alt="{{- $alt -}}" width="{{- $comic_small.Width -}}" height="{{- $comic_small.Height -}}" />
    </a>
    </main>
    {{- else -}}
    {{ errorf (printf "No image for comic #%s [%s]" $comic_id $.Site.Language.Lang) }}
    <p>{{ T "error_comic_not_found" }}</p>
    </main>
    {{- end -}}

    <p class="comicnav_container">
    {{/* Note: NextInSection and PrevInSection go the other way than you expect */}}

    {{- with $.Page.NextInSection -}}
    {{ range (first 1 .CurrentSection.Pages) }}
    <a class="comicnav" title='{{ T "nav_first_title" }}' href="{{ .RelPermalink }}">⏴ {{ T "nav_first" }}</a>
    {{ end }}
    <a class="comicnav" title='{{ T "nav_prev_title" }}' href="{{- .RelPermalink -}}">⏴ {{ T "nav_prev" }}</a>
    {{ else }}
    <span class="comicnav_disabled">⏴ {{ T "nav_first" }}</span>
    <span class="comicnav_disabled">⏴ {{ T "nav_prev" }}</span>
    {{ end }}

    <a class="comicnav" title='{{ T "nav_list_title" }}' href='{{- "comic" | relLangURL -}}'>{{ T "nav_list" }}</a>

    {{ with $.Page.PrevInSection }}
    <a class="comicnav" title='{{ T "nav_next_title" }}' href="{{- .RelPermalink -}}">{{ T "nav_next" }} ⏵</a>
    {{ range (last 1 .CurrentSection.Pages) }}
    <a class="comicnav" title='{{ T "nav_last_title" }}' href="{{ .RelPermalink }}">{{ T "nav_last" }} ⏵</a>
    {{ end }}
    {{ else }}
    <span class="comicnav_disabled">{{ T "nav_next" }} ⏵</span>
    <span class="comicnav_disabled">{{ T "nav_last" }} ⏵</span>
    {{ end }}
    </p>
    <p class="comicnav_container">
    {{/* Translation button */}}
    {{ $translations := slice }}
    {{ range .Translations -}}
    {{ $translations = $translations | append .Language.LanguageCode }}
    <a class="comicnav" href="{{ .RelPermalink }}" title="{{ .Language.Params.languagePageLinkTitle }}">{{ .Language.Params.languageIn }}</a>
    {{- end }}

    {{ $currentLanguage := .Language.LanguageCode }}
    {{ range .Site.Languages -}}
    {{ if (and (ne $currentLanguage .Lang) (not (in $translations .LanguageCode))) }}
    {{ $otherLanguageCode := .LanguageCode }}
    {{ with .Params }}
    <a class="comicnav language_unavailable" href='{{ relref $ (dict "path" "/" "lang" $otherLanguageCode) }}' title="{{ .languageHomepageLinkTitle }}">{{ .languageIn }}</a>
    {{- end }}
    {{- end }}
    {{- end }}
    </p>

    <div class="flowcontainer">

    {{/* Author comment (if set) */}}
    {{- if isset .Params "author_comment" -}}
    <p><b>{{ T "author_comment" }}</b>: {{ safeHTML .Params.author_comment -}}</p>
    <hr>
    {{- end -}}


    {{/* Topic list */}}

    {{- .Scratch.Set "t" slice -}}
    {{- range .Params.topics -}}
    {{- $id := anchorize . -}}
    {{- $topic_link := (printf "/topics/%s" $id) | relLangURL -}}
    {{- $topicname := partial "i18n_topicname.html" (dict "TopicID" . "SiteData" $.Site.Data "Lang" $.Site.Language.Lang) -}}

    {{/* Get previous and next comic of topic */}}
    {{ $.Scratch.Set "comic_found" "0" -}}
    {{ $.Scratch.Set "comic_topic_next" "" -}}
    {{ $topic_page := $.Site.GetPage (printf "/topics/%s" $id) }}
    {{ with $topic_page }}
    {{ $.Scratch.Set "comic_topic_prev" "" -}}
    {{ $.Scratch.Set "comic_topic_next" "" -}}

    {{/* Next comic of topic */}}
    {{ range $x := .Pages -}}
       {{ $comic_found := $.Scratch.Get "comic_found" -}}
       {{ if (eq $comic_found "1") }}
          {{ $knext := printf " <a href='%s' title='%s'>⏵</a>" $x.RelPermalink (T "topic_next" (dict "Topic" $topicname)) }}
          {{ $.Scratch.Set "comic_topic_next" $knext -}}
          {{ $.Scratch.Set "comic_found" "2" -}}
       {{ end }}
       {{ if (eq $x.RelPermalink $.Page.RelPermalink) }}
          {{ $.Scratch.Set "comic_found" "1" -}}
       {{ end }}
    {{ end }}

    {{ $.Scratch.Set "comic_found" "0" -}}

    {{/* Previous comic of topic */}}
    {{ range $x := .Pages.Reverse -}}
       {{ $comic_found := $.Scratch.Get "comic_found" -}}
       {{ if (eq $comic_found "1") }}
          {{ $kprev := printf "<a href='%s' title='%s'>⏴</a> " $x.RelPermalink (T "topic_prev" (dict "Topic" $topicname)) }}
          {{ $.Scratch.Set "comic_topic_prev" $kprev -}}
          {{ $.Scratch.Set "comic_found" "2" -}}
       {{ end }}
       {{ if (eq $x.RelPermalink $.Page.RelPermalink) }}
          {{ $.Scratch.Set "comic_found" "1" -}}
       {{ end }}
    {{ end }}

    {{ end }}

    {{- $t_prev := $.Scratch.Get "comic_topic_prev" -}}
    {{- $t_this := printf "<a href='%s' title='%s %s'>%s</a>" $topic_link (T "topic_title") $topicname $topicname -}}
    {{- $t_next := $.Scratch.Get "comic_topic_next" -}}
    {{- $t := printf "%s%s%s" $t_prev $t_this $t_next -}}
    {{- $.Scratch.Add "t" $t -}}
    {{- end -}}
    {{- $out := delimit (.Scratch.Get "t") ", " -}}
    {{- $topics_len := len .Params.topics -}}
    {{- if (eq $out "") -}}
    <p><b>{{ T "topic_starter" $topics_len }}</b>: {{ T "topic_none" }}</p>
    {{- else -}}
    <p><b>{{ T "topic_starter" $topics_len }}</b>: {{ safeHTML $out -}}</p>
    {{- end -}}

    {{/* Series (only shown if comic is part of a series) */}}

    {{- $seriesparam := .Params.series }}
    {{- if not (eq $seriesparam "") -}}

    {{- $series_id := anchorize $seriesparam -}}

    {{ $series_page := $.Site.GetPage (printf "/series/%s" $series_id) }}
    {{ with $series_page }}

    {{- $seriesname := partial "i18n_seriesname.html" (dict "SeriesID" $seriesparam "SiteData" $.Site.Data "Lang" $.Site.Language.Lang) -}}

    {{ $.Scratch.Set "comic_series_prev" "" -}}
    {{ $.Scratch.Set "comic_series_next" "" -}}
    {{ $.Scratch.Set "comic_found" "0" -}}

    {{/* Next comic of series */}}
    {{ range $x := .Pages -}}
       {{ $comic_found := $.Scratch.Get "comic_found" -}}
       {{ if (eq $comic_found "1") }}
          {{ $knext := printf " <a href='%s' title='%s'>⏵</a>" $x.RelPermalink (T "series_next" (dict "Series" $seriesname)) }}
          {{ $.Scratch.Set "comic_series_next" $knext -}}
          {{ $.Scratch.Set "comic_found" "2" -}}
       {{ end }}
       {{ if (eq $x.RelPermalink $.Page.RelPermalink) }}
          {{ $.Scratch.Set "comic_found" "1" -}}
       {{ end }}
    {{ end }}

    {{ $.Scratch.Set "comic_found" "0" -}}

    {{/* Previous comic of series */}}
    {{ range $x := .Pages.Reverse -}}
       {{ $comic_found := $.Scratch.Get "comic_found" -}}
       {{ if (eq $comic_found "1") }}
          {{ $kprev := printf "<a href='%s' title='%s'>⏴</a> " $x.RelPermalink (T "series_prev" (dict "Series" $seriesname)) }}
          {{ $.Scratch.Set "comic_series_prev" $kprev -}}
          {{ $.Scratch.Set "comic_found" "2" -}}
       {{ end }}
       {{ if (eq $x.RelPermalink $.Page.RelPermalink) }}
          {{ $.Scratch.Set "comic_found" "1" -}}
       {{ end }}
    {{ end }}

    {{- $series_link := (printf "/series/%s" $series_id) | relLangURL -}}

    {{- $s_prev := $.Scratch.Get "comic_series_prev" -}}
    {{- $s_this := printf "<a href='%s' title='%s %s'>%s</a>" $series_link (T "series_title") $seriesname $seriesname -}}
    {{- $s_next := $.Scratch.Get "comic_series_next" -}}
    {{- $s := printf "%s%s%s" $s_prev $s_this $s_next -}}

    <p><b>{{ T "series_starter" }}</b>: {{ safeHTML $s }}</p>

    {{- end -}}
    {{- end -}}


    {{/* Comic ID */}}
    <p>{{ T "comic_id_starter" }} #{{- $comic_id -}}</p>

    {{/* Publication date */}}
    <p>{{ T "posted_date" }}: {{ .PublishDate.Format (T "date_format") }}</p>

    {{- if (eq .Site.Params.debug true) -}}

    {{/* Alt text (only in debug mode) */}}
    <p><b>{{ T "debug_alt_text" }}</b>: {{ $alt -}}</p>

    {{/* Comic version (only in debug mode) */}}
    <p><b>{{ T "debug_version" }}</b>: {{ $comic_version -}}</p>

    {{- end -}}

    </div>

